Bug 1455295 - failed x86 changes broke aarch64 cloud images
Summary: failed x86 changes broke aarch64 cloud images
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: distribution
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Václav Pavlín
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: ARMTracker F26BetaFreezeException
TreeView+ depends on / blocked
 
Reported: 2017-05-24 16:53 UTC by Peter Robinson
Modified: 2017-07-01 15:29 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-01 15:29:20 UTC


Attachments (Terms of Use)

Description Peter Robinson 2017-05-24 16:53:59 UTC
So Dusty pushed a badly tested change to the kickstarts that broke aarch64 cloud images

https://pagure.io/fedora-kickstarts/pull-request/235

The fix was merged in already for atomic images, but the vanilla cloud images are still broken.

This is a FE because it's a core release component for Alternate architectures.

Comment 1 Fedora Blocker Bugs Application 2017-05-24 16:55:53 UTC
Proposed as a Freeze Exception for 26-beta by Fedora user pbrobinson using the blocker tracking app because:

 This is a FE because it's a core release component for Alternate architectures.

Comment 2 Dusty Mabe 2017-05-24 19:47:21 UTC
I'm +1 FE

From my understanding alt arch qualify for FE under:

"bugs which constitute infringements of Fedora_Release_Criteria for secondary architectures will be presumed to be valid freeze exception bugs (unless there is a strong argument against, in a particular case)"

and since there is a release criteria of:

'Release-blocking cloud images must boot' (i.e. x86_64)

then having aarch64 cloud images that don't boot mean they apply to the first block of text above and are valid for FE unless there is a strong argument against.

Comment 3 Dusty Mabe 2017-05-24 19:55:27 UTC
(In reply to Peter Robinson from comment #0)
> So Dusty pushed a badly tested change to the kickstarts that broke aarch64
> cloud images

I would appreciate people not assigning blame to things like this. I'd like to point out that my change [1] that broke this went in 16 days ago, which was way before your most recent change [2], which went in 9 days ago. This means that whatever testing you may have done was flawed itself as well. 

I also didn't even know how to get access to aarch64 hardware until yesterday. And when i did finally get access to that hardware i was able to figure out and (hopefully) get the issues fixed.

Assigning blame is not very productive here.

[1] https://pagure.io/fedora-kickstarts/pull-request/219
[2] https://pagure.io/fedora-kickstarts/pull-request/227

Comment 4 Adam Williamson 2017-05-24 20:29:59 UTC
As Dusty says he's tested this on x86_64, +1 FE.

Comment 5 Kevin Fenzi 2017-05-24 20:34:08 UTC
+1 FE

Comment 6 Mohan Boddu 2017-05-24 20:39:33 UTC
+1 FE

Comment 7 Petr Schindler 2017-05-30 16:39:22 UTC
Discussed at 2017-05-30 blocker review meeting: [1]. 

This bug was accepted as beta freeze exception: A tested fix exists for this and we'd like to pull this in.

[1] https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2017-05-30/

Comment 8 Peter Robinson 2017-07-01 15:29:20 UTC
Fixed


Note You need to log in before you can comment on or make changes to this bug.